Skip to main content
GET
Get a tent template

Authorizations

Authorization
string
header
required

Workspace API key, e.g. Authorization: Bearer tented_.... Create keys in Workspace Settings → API Keys.

Path Parameters

templateId
string<uuid>
required

Tent template ID.

Response

The tent template.

Full tent template object.

template_id
string<uuid>
required

Tent template ID.

name
string
required

Internal display name.

status
enum<string>
required

Lifecycle state.

Available options:
draft,
approved
current_version
integer
required

Latest content version number.

source_type
enum<string>

How the template was created: upload for API- or hand-authored HTML, tent for templates created from an existing tent.

Available options:
upload,
tent
source_tent_id
string<uuid> | null

Tent the template was created from, when source_type is tent.

approved_version
integer | null

Version that is approved, or null.

number_of_iterations
integer

Number of content versions (equals current_version).

created_at
string<date-time>

Creation time.

updated_at
string<date-time>

Last update.

created_by_name
string

Who created the template (API key name or user).

latest_generation_status
enum<string>

Status of the most recent AI generation, when one exists.

Available options:
generating,
completed,
failed
content_path
string

API path to fetch the latest HTML, e.g. /v1/tent-templates/{templateId}/content.